import java.util.Arrays;
import java.util.Scanner;

public class Prijatelji {

    public static void main(String[] args) {

        Scanner sc = new Scanner(System.in);
        
        int brojUcenika = sc.nextInt();
        int brojParova = sc.nextInt();
        
        int[] druzeljubivostUcenika = new int[brojUcenika];
        
        for (int i = 0; i < brojUcenika; i++) {
            druzeljubivostUcenika[i] = sc.nextInt();
        }
        
        int[][] parovi = new int[brojParova][2];
        
        for (int i = 0; i < brojParova; i++) {
            parovi[i][0] = sc.nextInt();
            parovi[i][1] = sc.nextInt();
        }
        
        int druzeljubivostTakmicenja = 0;
        int tempArr[] = druzeljubivostUcenika.clone();
        Arrays.sort(tempArr);
        int prijateljiUcenika = 0;
        if (tempArr[0] >= 0) {
            for (int i = 0; i < brojUcenika; i++) {
                prijateljiUcenika = 0;
                for (int j = 0; j < brojParova;j++) {
                    if (parovi[j][0] == i+1 || parovi[j][1] == i+1) {
                        prijateljiUcenika++;
                    }
                }
                druzeljubivostTakmicenja += druzeljubivostUcenika[i] * prijateljiUcenika;
            }
        }
        
        System.out.println(druzeljubivostTakmicenja);
        
        
    }
    
}